For the complete documentation index, see llms.txt. This page is also available as Markdown.

Complete

Complete file upload

post

Complete the upload specified by unique ID, providing all the data in the body, if necessary. A request without a body will just complete the upload with previously uploaded content.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The universally unique identifier (UUID).

Example: 52e51422-573d-4fc9-b5c6-4a30058f5d71
Query parameters
digeststringOptional

The Content Digests. A digest is a serialized hash result, consisting of a algorithm and hex portion. Only sha256 based digest accepted.

Example: 84d89877f0d4041efb6bf91a16f0248f2fd573e6af05c19f96bedb9f882f7882
Header parameters
PortSIP-Upload-TokenstringRequired

The upload token of file upload.

Body
string · binaryOptional
Responses
post
/blobs/uploads/{id}/complete

Was this helpful?